import logging from '../../lib/logging.js';
import { API } from '../../lib/api.js';
import glob from "fast-glob";
import path from "path";

const log = logging.create("/api/devtools/djenterator.js");


export const get = async (req, res) => {
  const api = new API(req, res);

  if(process.env.DANGER_ADMIN) {
    const files = glob.sync("./static/djenterator/**/!(*.vars)");
    return api.reply(200, files.map(f => path.basename(f)));
  } else {
    return api.error(404, "Not Found");
  }
}
